{$apptype console}

const n = 49;

var i: longint;

begin
  writeln(2 * n + 1);

  for i := 1 to 2 * n do begin
    write(100, ' ');
  end;
  writeln(12);

  for i := 1 to n do begin
    write(i, ' ', i);
    if i < n then begin
      write(' ');
    end;
  end;
  writeln;
end.